## indi-apogee 1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.4.7)

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake_modules/")
set(DATA_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/share/indi/")
set(BIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/bin")

Include (CheckCXXSourceCompiles)
include (MacroOptionalFindPackage)
include (MacroLogFeature)
include (MacroBoolTo01)
include (CheckIncludeFiles)

find_package(USB REQUIRED)
find_package(CFITSIO REQUIRED)
find_package(INDI REQUIRED)
find_package(APOGEE REQUIRED)
find_package(ZLIB REQUIRED)

macro_optional_find_package(Nova)
macro_bool_to_01(NOVA_FOUND HAVE_NOVA_H)
macro_log_feature(NOVA_FOUND "libnova" "A general purpose, double precision, Celestial Mechanics, Astrometry and Astrodynamics library" "http://libnova.sourceforge.net" FALSE "0.12.1" "Needed by INDI.")

include_directories( ${CMAKE_CURRENT_BINARY_DIR})
include_directories( ${CMAKE_SOURCE_DIR})
include_directories( ${INDI_INCLUDE_DIR})
include_directories( ${CFITSIO_INCLUDE_DIR})
include_directories( ${APOGEE_INCLUDE_DIR})

if (NOVA_FOUND)
    include_directories(${NOVA_INCLUDE_DIR})
endif (NOVA_FOUND)

########### Apogee ###########
set(indiapogee_SRCS
   ${CMAKE_SOURCE_DIR}/indialta.c
   )

add_executable(indi_apogeeu_ccd ${indiapogee_SRCS})
add_executable(indi_apogeee_ccd ${indiapogee_SRCS})

target_link_libraries(indi_apogeeu_ccd ${INDI_LIBRARIES} ${INDI_DRIVER_LIBRARIES} ${CFITSIO_LIBRARIES} ${APOGEEU_LIBRARIES} z)
target_link_libraries(indi_apogeee_ccd ${INDI_LIBRARIES} ${INDI_DRIVER_LIBRARIES} ${CFITSIO_LIBRARIES} ${APOGEEE_LIBRARIES} z)

if (NOVA_FOUND)
  target_link_libraries(indi_apogeeu_ccd ${NOVA_LIBRARIES})
  target_link_libraries(indi_apogeee_ccd ${NOVA_LIBRARIES})
endif (NOVA_FOUND)

install(TARGETS indi_apogeeu_ccd RUNTIME DESTINATION bin )
install(TARGETS indi_apogeee_ccd RUNTIME DESTINATION bin )

install(FILES indi_apogee.xml DESTINATION ${DATA_INSTALL_DIR})

## indi-apogee 1.9%2B20220129131520

=== debian/control ===
Source: indi-apogee
Section: science
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libindi-dev
	, libapogee-dev
	, libcfitsio-dev
	, zlib1g-dev
Standards-Version: 4.6.0
Homepage: https://github.com/indilib/indi-3rdparty
Rules-Requires-Root: no
XS-Autobuild: yes
Vcs-Browser: https://salsa.debian.org/debian-astro-team/indi-apogee
Vcs-Git: https://salsa.debian.org/debian-astro-team/indi-apogee.git

Package: indi-apogee
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
	, libusb-1.0-0
Description: INDI driver for Apogee CCDs and Filter Wheels
 This package contains the INDI driver for hardware from Apogee,
 especially CCDs and filter wheels.
 .
 This driver is compatible with any INDI client such as KStars or Xephem.

## indi-apogee 1.9+20220129131520

=== debian/changelog ===
indi-apogee (1.9+20220129131520-1) unstable; urgency=medium

  * build from indi-3rdparty git after release of version 1.9.4
  * build together with indi version 1.9.4
  * debian/control: fix VCS URLs

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 29 Jan 2022 13:28:28 +0000

indi-apogee (1.9-2) unstable; urgency=medium

  * source upload
  * debian/control: move to debian-astro

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 15 Dec 2021 23:30:07 +0100

indi-apogee (1.9-1) unstable; urgency=medium

  * initial version

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 13 Dec 2021 18:30:07 +0100

## indi-apogee 1.9+20220610100515

=== debian/changelog ===
indi-apogee (1.9+20220610100515-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.6

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 10 Jun 2022 10:05:25 +0000

## indi-apogee 1.9+20221223184417

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
PROJECT(indi-apogee CXX C)

LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/")
LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../cmake_modules/")
include(GNUInstallDirs)

set (APOGEE_VERSION_MAJOR 1)
set (APOGEE_VERSION_MINOR 9)

set(BIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/bin")

find_package(CFITSIO REQUIRED)
find_package(INDI REQUIRED)
find_package(APOGEE REQUIRED)
find_package(ZLIB REQUIRED)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/indi_apogee.xml.cmake ${CMAKE_CURRENT_BINARY_DIR}/indi_apogee.xml )

include_directories( ${CMAKE_CURRENT_BINARY_DIR})
include_directories( ${CMAKE_CURRENT_SOURCE_DIR})
include_directories( ${INDI_INCLUDE_DIR})
include_directories( ${CFITSIO_INCLUDE_DIR})
include_directories( ${APOGEE_INCLUDE_DIR})

include(CMakeCommon)

########### Apogee Camera ###########
set(apogeeCamera_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/apogee_ccd.cpp)
add_executable(indi_apogee_ccd ${apogeeCamera_SRCS})
target_link_libraries(indi_apogee_ccd ${INDI_LIBRARIES} ${CFITSIO_LIBRARIES} ${APOGEE_LIBRARY})
install(TARGETS indi_apogee_ccd RUNTIME DESTINATION bin )

########### Apogee Filter Wheel ###########
set(apogeeFilter_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/apogee_cfw.cpp)
add_executable(indi_apogee_wheel ${apogeeFilter_SRCS})
target_link_libraries(indi_apogee_wheel ${INDI_LIBRARIES} ${APOGEE_LIBRARY})
install(TARGETS indi_apogee_wheel RUNTIME DESTINATION bin )

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/indi_apogee.xml DESTINATION ${INDI_DATA_DIR})

=== debian/changelog ===
indi-apogee (1.9+20221223184417-3) unstable; urgency=medium

  * add cmake4.patch (Closes: #1113008)
  * add debian/gbp.conf
  * add debian/salsa-ci.yml

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 26 Sep 2025 23:59:08 +0200

indi-apogee (1.9+20221223184417-2) unstable; urgency=medium

  * debian/control: change dependency of indi-apogee from
                    libapogee3 to libapogee3t64
                    (Closes: #1068371)
  * debian/control: bump standard to 4.7.0 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 10 Apr 2024 22:45:32 +0200

indi-apogee (1.9+20221223184417-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.9
  * new upstream version 1.9

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 23 Dec 2022 18:45:32 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	, libapogee-dev
 	, libcfitsio-dev
 	, zlib1g-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Homepage: https://github.com/indilib/indi-3rdparty
 Rules-Requires-Root: no
 XS-Autobuild: yes
@@ -20,6 +20,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 	, libusb-1.0-0
+	, libapogee3t64
 Description: INDI driver for Apogee CCDs and Filter Wheels
  This package contains the INDI driver for hardware from Apogee,
  especially CCDs and filter wheels.
